liblatex-encode-perl_0.091.6-1_all.deb


Advertisement

Description

liblatex-encode-perl - Perl module to encode characters for LaTeX formatting

Distribution: Debian 8 (Jessie)
Repository: Debian Main i386
Package name: liblatex-encode-perl
Package version: 0.091.6
Package release: 1
Package architecture: all
Package type: deb
Installed size: 127 B
Download size: 24.08 KB
Official Mirror: ftp.br.debian.org
LaTeX::Encode provides a function to encode text that is to be formatted with LaTeX. It encodes characters that are special to LaTeX or that are represented in LaTeX by LaTeX commands. The special characters are: \ (command character), { (open group), } (end group), & (table column separator), # (parameter specifier), % (comment character), _ (subscript), ^ (superscript), ~ (non-breakable space), $ (mathematics mode). Note that some of the LaTeX commands for characters are defined in the LaTeX textcomp package.

Alternatives

    Download

    Source package: liblatex-encode-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install liblatex-encode-perl deb package:
      # sudo apt-get install liblatex-encode-perl

    Files

    • /usr/bin/latex-encode
    • /usr/share/doc/liblatex-encode-perl/TODO
    • /usr/share/doc/liblatex-encode-perl/changelog.Debian.gz
    • /usr/share/doc/liblatex-encode-perl/changelog.gz
    • /usr/share/doc/liblatex-encode-perl/copyright
    • /usr/share/man/man1/latex-encode.1p.gz
    • /usr/share/man/man3/LaTeX::Encode.3pm.gz
    • /usr/share/perl5/LaTeX/Encode.pm

    Changelog

    2014-09-10 - Salvatore Bonaccorso <carnil@debian.org> liblatex-encode-perl (0.091.6-1) unstable; urgency=medium * Update Vcs-Browser URL to cgit web frontend * Imported Upstream version 0.091.6

    2014-04-04 - Salvatore Bonaccorso <carnil@debian.org> liblatex-encode-perl (0.091.5-1) unstable; urgency=medium * Imported Upstream version 0.091.5 * Add Build-Depends-Indep on libcarp-always-perl

    2014-03-23 - Salvatore Bonaccorso <carnil@debian.org> liblatex-encode-perl (0.09-1) unstable; urgency=medium [ gregor herrmann ] * Strip trailing slash from metacpan URLs. [ Salvatore Bonaccorso ] * Imported Upstream version 0.09 * Update copyright years for debian/* packaging files * Refresh encoding.patch patch (offset) * Declare compliance with Debian Policy 3.9.5

    2013-08-25 - Salvatore Bonaccorso <carnil@debian.org> liblatex-encode-perl (0.08-2) unstable; urgency=low * Change Vcs-Git to canonical URI (git://anonscm.debian.org) * Change search.cpan.org based URIs to metacpan.org based URIs * Add encoding.patch patch. Fix "FTBFS with perl 5.18: POD failure". (Closes: #720740) * Wrap and sort fields in debian/control file

    2012-10-02 - Salvatore Bonaccorso <carnil@debian.org> liblatex-encode-perl (0.08-1) unstable; urgency=low * Imported Upstream version 0.08 * Add Build-Depends-Indep needed to run additional tests. Add Build-Depends-Indep on texlive-latex-base, texlive-latex-recommended and texlive-fonts-recommended to run more tests. Run now t/10-typeset-document.t in the testsuite.

    2012-09-26 - Salvatore Bonaccorso <carnil@debian.org> liblatex-encode-perl (0.07-1) unstable; urgency=low * Imported Upstream version 0.07 * Bump Standards-Version to 3.9.4 * Disable Perl::Critic test. Remove Build-Depends-Indep on libtest-perl-critic-perl to disable the t/93-perl-critic.t Perl::Critic tests.

    2012-08-31 - Salvatore Bonaccorso <carnil@debian.org> liblatex-encode-perl (0.06-1) unstable; urgency=low [ Salvatore Bonaccorso ] * Fix the long description in the last paragraph (remove LaTeX technical stuff, which is not needed in the long description). * debian/control: - Changed: Replace versioned (build-)dependency on perl (>= 5.6.0-{12,16}) with an unversioned dependency on perl (as permitted by Debian Policy 3.8.3). - Drop Build-Depends on quilt. - Bump versioned Build-Depends on debhelper to (>= 8). * Email change: Salvatore Bonaccorso -> carnil@debian.org * Drop quilt framework from debian/rules and convert package to '3.0 (quilt)' source package format. * Drop debian/README.source. * debian/copyright: - Update format to copyright-format 1.0 as released together with Debian policy 3.9.3. - Explicitly point to GPL-1 license text in common-licenses. - Refer to Debian systems in general instead of only Debian GNU/Linux systems. - Update copyright years for debian/* packaging. * Bump Standards-Version to 3.9.3 * Bump Debhelper compat level to 8. [ Ansgar Burchardt ] * debian/control: Convert Vcs-* fields to Git. [ gregor herrmann ] * debian/control: update {versioned,alternative} (build) dependencies. [ Salvatore Bonaccorso ] * Imported Upstream version 0.04, 0.05 and 0.06 + Fix "Assumes latin1 encoding - produces invalid results when using UTF input" (Closes: #602398). * Update copyright years for upstream files * Drop add-pod-section-LaTeX::Encode::EncodingTable.patch. Upstream now added POD for LaTeX::Encode::EncodingTable. * Add new Build-Depends-Indep on libhtml-parser-perl * Add new dependency for Readonly module. Add Build-Depends-Indep and Depends on libreadonly-perl.

    2009-06-07 - Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com> liblatex-encode-perl (0.03-1) unstable; urgency=low * Initial Release. (Closes: #531761)

    Advertisement
    Advertisement